Results 1 to 2 of 2

Thread: MySQL-5.5.7 with PHP-5.3.4 - phpMyAdmin-3.3.8 is missing native PHP extension MySQLnd

  1. #1
    Join Date
    Apr 2009
    Location
    South Africa , Johannesburg
    Posts
    6

    Question MySQL-5.5.7 with PHP-5.3.4 - phpMyAdmin-3.3.8 is missing native PHP extension MySQLnd

    Looks like we have to move on as per php.net "This release marks the end of support for PHP 5.2.16"
    We should also move on from MySQL-5.1.54 to MySQL-Community-GA is at 5.5.8

    I am getting this error in phpMyAdmin (factory)
    "Your PHP MySQL library version 5.1.52 differs from your MySQL server version 5.5.7. This may cause unpredictable behavior"

    Not 100% how to get it solve as the php.net says it is part of PHP5.3 source. The php5-mysql file does not include mysqlnd. Can someone please share some light and will it be possible to move MySQL 5.5 away from the "unstable repository" after making it into a "stable version". Thank you in advance

  2. #2

    Default Re: MySQL-5.5.7 with PHP-5.3.4 - phpMyAdmin-3.3.8 is missing native PHP extension MySQLnd

    you need to upgrade mysql and check the my.cnf file..

    at the command line type: mysql_upgrade

    and then edit the my.cnf file

    nano my.cnf

    And if there is anything about "old passwords" in there, take it out! That's probably what is causing your issues.

    The way that the passwords are stored in the table has changed (I believe it changed pre MySQL 4.1.1), but with PHP 5.3+ the driver is the native PHP MySQL driver, which needs the newer password hashing.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •